DELETE /api/v202310/budget/{budgetId}/version/{versionId}

Deletes a budget version

DeleteBudgetVersionV202310 Permissions: BudgetsAndBudgetVersions (Delete)
Use this endpoint to remove a specific version. Cannot delete the active version — deactivate it first by activating a different version via PUT /budget/{budgetId}/version/{versionId}/active.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
budgetId Unique numeric identifier of the budget integer (int32) Required
versionId Unique numeric identifier of the version to delete integer (int32) Required

Responses

204 No Content The request succeeded. No content is returned in the response body.